#131 dpkg from fink-0.23.10 won't compile on Tiger/XCode 2.1

closed-fixed
nobody
None
5
2005-08-03
2005-06-07
Blake Meike
No

dpkg from Fink 0.23.10 will not compile on Tiger/XCode 2.1. It fails
because of increased typing restrictions in GCC 4.0. The fix is here:

http://lists.debian.org/debian-dpkg/2005/03/msg00111.html

The patch at the above location needs to be added to the end of the file

10.4-transitional/dpkg.patch

in the tarball.

Discussion

  • Daniel Macks
    Daniel Macks
    2005-06-08

    Logged In: YES
    user_id=535292

    A much less fragile patch is in msg00113

     
  • Daniel Macks
    Daniel Macks
    2005-06-30

    Logged In: YES
    user_id=535292

    msg 00113 patch is now in the "unstable" branch; we'll
    propagate it to stable shortly.

     
  • Daniel Macks
    Daniel Macks
    2005-06-30

    • status: open --> open-fixed
     
  • Daniel Macks
    Daniel Macks
    2005-08-03

    • status: open-fixed --> closed-fixed